Package org.apache.any23.vocab

## Class OGP

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.OGP

-     public class OGP
      extends Vocabulary

  The Open Graph Protocol vocabulary.
  Author:
    Michele Mostarda (mostarda@fbk.eu)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `audio` |
    `static String` | `AUDIO` | A URL to an audio file to accompany this object.
    `static String` | `AUDIO__ALT` | A description of what is in the audio file (not a caption).
    `static String` | `AUDIO__SECURE_URL` | An alternate url to use if the webpage requires HTTPS.
    `static String` | `AUDIO__TYPE` | A MIME type for this audio.
    `org.eclipse.rdf4j.model.IRI` | `audioAlt` |
    `org.eclipse.rdf4j.model.IRI` | `audioSecureURL` |
    `org.eclipse.rdf4j.model.IRI` | `audioType` |
    `org.eclipse.rdf4j.model.IRI` | `description` |
    `static String` | `DESCRIPTION` | A one to two sentence description of your object.
    `org.eclipse.rdf4j.model.IRI` | `determiner` |
    `static String` | `DETERMINER` | The word that appears before this object's title in a sentence.
    `org.eclipse.rdf4j.model.IRI` | `image` |
    `static String` | `IMAGE` | An image URL which should represent your object within the graph.
    `static String` | `IMAGE__ALT` | A description of what is in the image (not a caption).
    `static String` | `IMAGE__HEIGHT` | The number of pixels high.
    `static String` | `IMAGE__SECURE_URL` | An alternate url to use if the webpage requires HTTPS.
    `static String` | `IMAGE__TYPE` | A MIME type for this image.
    `static String` | `IMAGE__URL` | Identical to `og:image`.
    `static String` | `IMAGE__WIDTH` | The number of pixels wide.
    `org.eclipse.rdf4j.model.IRI` | `imageAlt` |
    `org.eclipse.rdf4j.model.IRI` | `imageHeight` |
    `org.eclipse.rdf4j.model.IRI` | `imageSecureURL` |
    `org.eclipse.rdf4j.model.IRI` | `imageType` |
    `org.eclipse.rdf4j.model.IRI` | `imageURL` |
    `org.eclipse.rdf4j.model.IRI` | `imageWidth` |
    `org.eclipse.rdf4j.model.IRI` | `locale` |
    `static String` | `LOCALE` | The locale these tags are marked up in.
    `static String` | `LOCALE__ALTERNATE` | An array of other locales this page is available in.
    `org.eclipse.rdf4j.model.IRI` | `localeAlternate` |
    `org.eclipse.rdf4j.model.IRI` | `NAMESPACE` |
    `static String` | `NS` |
    `static String` | `SITE_NAME` | If your object is part of a larger web site, the name which should be displayed for the overall site.
    `org.eclipse.rdf4j.model.IRI` | `siteName` |
    `org.eclipse.rdf4j.model.IRI` | `title` |
    `static String` | `TITLE` | The title of your object as it should appear within the graph, e.g., "The Rock".
    `org.eclipse.rdf4j.model.IRI` | `type` |
    `static String` | `TYPE` | The type of your object, e.g., "video.movie".
    `org.eclipse.rdf4j.model.IRI` | `url` |
    `static String` | `URL` | The canonical URL of your object that will be used as its permanent ID in the graph, e.g., "http://www.imdb.com/title/tt0117500/".
    `org.eclipse.rdf4j.model.IRI` | `video` |
    `static String` | `VIDEO` | A URL to a video file that complements this object.
    `static String` | `VIDEO__ALT` | A description of what is in the video (not a caption).
    `static String` | `VIDEO__HEIGHT` | The number of pixels height.
    `static String` | `VIDEO__SECURE_URL` | An alternate url to use if the webpage requires HTTPS.
    `static String` | `VIDEO__TYPE` | A MIME type for this video.
    `static String` | `VIDEO__URL` | Video URL.
    `static String` | `VIDEO__WIDTH` | The number of pixels wide.
    `org.eclipse.rdf4j.model.IRI` | `videoAlt` |
    `org.eclipse.rdf4j.model.IRI` | `videoHeight` |
    `org.eclipse.rdf4j.model.IRI` | `videoSecureURL` |
    `org.eclipse.rdf4j.model.IRI` | `videoType` |
    `org.eclipse.rdf4j.model.IRI` | `videoURL` |
    `org.eclipse.rdf4j.model.IRI` | `videoWidth` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OGP` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### TITLE

          public static final String TITLE

      The title of your object as it should appear within the graph, e.g., "The Rock".
      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      The type of your object, e.g., "video.movie". Depending on the type you specify, other properties may also be required.
      See Also:
        Constant Field Values

    - #### URL

          public static final String URL

      The canonical URL of your object that will be used as its permanent ID in the graph, e.g., "http://www.imdb.com/title/tt0117500/".
      See Also:
        Constant Field Values

    - #### IMAGE

          public static final String IMAGE

      An image URL which should represent your object within the graph.
      See Also:
        Constant Field Values

    - #### AUDIO

          public static final String AUDIO

      A URL to an audio file to accompany this object.
      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final String DESCRIPTION

      A one to two sentence description of your object.
      See Also:
        Constant Field Values

    - #### DETERMINER

          public static final String DETERMINER

      The word that appears before this object's title in a sentence. An enum of (a, an, the, "", auto). If auto is chosen, the consumer of your data should chose between "a" or "an". Default is "" (blank).
      See Also:
        Constant Field Values

    - #### LOCALE

          public static final String LOCALE

      The locale these tags are marked up in. Of the format `language_TERRITORY`. Default is `en_US`.
      See Also:
        Constant Field Values

    - #### LOCALE__ALTERNATE

          public static final String LOCALE__ALTERNATE

      An array of other locales this page is available in.
      See Also:
        Constant Field Values

    - #### SITE_NAME

          public static final String SITE_NAME

      If your object is part of a larger web site, the name which should be displayed for the overall site. e.g., IMDb.
      See Also:
        Constant Field Values

    - #### VIDEO

          public static final String VIDEO

      A URL to a video file that complements this object.
      See Also:
        Constant Field Values

    - #### IMAGE__URL

          public static final String IMAGE__URL

      Identical to `og:image`.
      See Also:
        Constant Field Values

    - #### IMAGE__SECURE_URL

          public static final String IMAGE__SECURE_URL

      An alternate url to use if the webpage requires HTTPS.
      See Also:
        Constant Field Values

    - #### IMAGE__TYPE

          public static final String IMAGE__TYPE

      A MIME type for this image.
      See Also:
        Constant Field Values

    - #### IMAGE__WIDTH

          public static final String IMAGE__WIDTH

      The number of pixels wide.
      See Also:
        Constant Field Values

    - #### IMAGE__HEIGHT

          public static final String IMAGE__HEIGHT

      The number of pixels high.
      See Also:
        Constant Field Values

    - #### IMAGE__ALT

          public static final String IMAGE__ALT

      A description of what is in the image (not a caption). If the page specifies an og:image it should specify og:image:alt.
      See Also:
        Constant Field Values

    - #### VIDEO__URL

          public static final String VIDEO__URL

      Video URL.
      See Also:
        Constant Field Values

    - #### VIDEO__SECURE_URL

          public static final String VIDEO__SECURE_URL

      An alternate url to use if the webpage requires HTTPS.
      See Also:
        Constant Field Values

    - #### VIDEO__TYPE

          public static final String VIDEO__TYPE

      A MIME type for this video.
      See Also:
        Constant Field Values

    - #### VIDEO__WIDTH

          public static final String VIDEO__WIDTH

      The number of pixels wide.
      See Also:
        Constant Field Values

    - #### VIDEO__HEIGHT

          public static final String VIDEO__HEIGHT

      The number of pixels height.
      See Also:
        Constant Field Values

    - #### VIDEO__ALT

          public static final String VIDEO__ALT

      A description of what is in the video (not a caption). If the page specifies an og:video it should specify og:video:alt.
      See Also:
        Constant Field Values

    - #### AUDIO__SECURE_URL

          public static final String AUDIO__SECURE_URL

      An alternate url to use if the webpage requires HTTPS.
      See Also:
        Constant Field Values

    - #### AUDIO__TYPE

          public static final String AUDIO__TYPE

      A MIME type for this audio.
      See Also:
        Constant Field Values

    - #### AUDIO__ALT

          public static final String AUDIO__ALT

      A description of what is in the audio file (not a caption). If the page specifies an og:audio it should specify og:audio:alt.
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public final org.eclipse.rdf4j.model.IRI NAMESPACE

    - #### title

          public final org.eclipse.rdf4j.model.IRI title

    - #### type

          public final org.eclipse.rdf4j.model.IRI type

    - #### url

          public final org.eclipse.rdf4j.model.IRI url

    - #### image

          public final org.eclipse.rdf4j.model.IRI image

    - #### description

          public final org.eclipse.rdf4j.model.IRI description

    - #### determiner

          public final org.eclipse.rdf4j.model.IRI determiner

    - #### locale

          public final org.eclipse.rdf4j.model.IRI locale

    - #### localeAlternate

          public final org.eclipse.rdf4j.model.IRI localeAlternate

    - #### siteName

          public final org.eclipse.rdf4j.model.IRI siteName

    - #### video

          public final org.eclipse.rdf4j.model.IRI video

    - #### imageURL

          public final org.eclipse.rdf4j.model.IRI imageURL

    - #### imageSecureURL

          public final org.eclipse.rdf4j.model.IRI imageSecureURL

    - #### imageType

          public final org.eclipse.rdf4j.model.IRI imageType

    - #### imageWidth

          public final org.eclipse.rdf4j.model.IRI imageWidth

    - #### imageHeight

          public final org.eclipse.rdf4j.model.IRI imageHeight

    - #### imageAlt

          public final org.eclipse.rdf4j.model.IRI imageAlt

    - #### videoURL

          public final org.eclipse.rdf4j.model.IRI videoURL

    - #### videoSecureURL

          public final org.eclipse.rdf4j.model.IRI videoSecureURL

    - #### videoType

          public final org.eclipse.rdf4j.model.IRI videoType

    - #### videoWidth

          public final org.eclipse.rdf4j.model.IRI videoWidth

    - #### videoHeight

          public final org.eclipse.rdf4j.model.IRI videoHeight

    - #### videoAlt

          public final org.eclipse.rdf4j.model.IRI videoAlt

    - #### audio

          public final org.eclipse.rdf4j.model.IRI audio

    - #### audioSecureURL

          public final org.eclipse.rdf4j.model.IRI audioSecureURL

    - #### audioType

          public final org.eclipse.rdf4j.model.IRI audioType

    - #### audioAlt

          public final org.eclipse.rdf4j.model.IRI audioAlt

  - ### Method Detail

    - #### getInstance

          public static OGP getInstance()